# sass-spritemaker

Convert a bunch of PNGs to a Sass spritemap.

## Installation

sass-spritemaker requires **Node 6.9.0 or later**.

```
npm install --save-dev @bthlabs/sass-spritemaker
```

This assumes that you’re using [npm](http://npmjs.com/) package manager.
sass-spritemaker supports [yarn](https://yarnpkg.com/), too.

## Usage example

The following JavaScript code demonstrates the most common usage of the
library:

```javascript
const {spritemaker} = require('../lib/spritemaker.js');

spritemaker({
  files: ['./icons/*.png'],
  output: './output/'
});
```

## API

### `spritemaker(options)`

This is the main entrypoint of the library. The *options* argument is an object
that specifies the function's behaviour.

**Options object fields**:

* `fields` - array of globs that will be resolved to construct input files
  list. Defaults to `[]`.
* `output` - path to output directory. Defaults to `sprite/`.
* `urlPrefix` - URL prefix for background image URLs. Defaults to `/`.

## Development

To bootstrap the development environment, clone the repo and run `npm install`
from the root directory.

The `package.json` file provides the following scripts:

* `lint` - performs an eslint run over the source code,
* `test` - performs a single test run.

## Contributing

If you think you found a bug or want to send a patch, feel free to contact
me through e-mail.

If you're sending a patch, make sure it passes eslint checks and is tested.

## Author

sass-spritemaker is developed by [Tomek Wójcik](https://www.bthlabs.pl/).

## License

sass-spritemaker is licensed under the MIT License.
